org.eclipse.viatra.cep.core.metamodels.automaton

## Interface Transition

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    EpsilonTransition, NegativeTransition, TypedTransition
  All Known Implementing Classes:
    EpsilonTransitionImpl, NegativeTransitionImpl, TransitionImpl, TypedTransitionImpl

      public interface Transition
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Transition'.

  The following features are supported:

  - `Pre State`
  - `Post State`
  See Also:
    `AutomatonPackage.getTransition()`
  Generated:
  Model:
    abstract="true"

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `State` | `getPostState()` Returns the value of the 'Post State' reference.
    `State` | `getPreState()` Returns the value of the 'Pre State' container reference.
    `void` | `setPostState(State value)` Sets the value of the '`Post State`' reference.
    `void` | `setPreState(State value)` Sets the value of the '`Pre State`' container reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getPreState

          State getPreState()

      Returns the value of the 'Pre State' container reference. It is bidirectional and its opposite is '`Out Transitions`'.

      If the meaning of the 'Pre State' container reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Pre State' container reference.
      See Also:
        `setPreState(State)`, `AutomatonPackage.getTransition_PreState()`, `State.getOutTransitions()`
      Generated:
      Model:
        opposite="outTransitions" transient="false"

    - #### setPreState

          void setPreState(State value)

      Sets the value of the '`Pre State`' container reference.
      Parameters:
        `value` - the new value of the 'Pre State' container reference.
      See Also:
        `getPreState()`
      Generated:

    - #### getPostState

          State getPostState()

      Returns the value of the 'Post State' reference. It is bidirectional and its opposite is '`In Transitions`'.

      If the meaning of the 'Post State' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Post State' reference.
      See Also:
        `setPostState(State)`, `AutomatonPackage.getTransition_PostState()`, `State.getInTransitions()`
      Generated:
      Model:
        opposite="inTransitions"

    - #### setPostState

          void setPostState(State value)

      Sets the value of the '`Post State`' reference.
      Parameters:
        `value` - the new value of the 'Post State' reference.
      See Also:
        `getPostState()`
      Generated: